<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 * 以下はDAO関数
 */
function pocket_db_getDB()
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getDB();
}

function pocket_db_getDSN()
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getDSN();
}

function pocket_db_getOne($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getOne($sql, $params);
}

function pocket_db_getCol($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getCol($sql, $params);
}

function pocket_db_getColLimit($sql, $from, $count, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getColLimit($sql, $from, $count, $params);
}

function pocket_db_getColPage($sql, $page, $count, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getColPage($sql, $page, $count, $params);
}

function pocket_db_getAssoc($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getAssoc($sql, $params);
}

function pocket_db_getAssocLimit($sql, $from, $count, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getAssocLimit($sql, $from, $count, $params);
}

function pocket_db_getRow($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getRow($sql, $params);
}

function pocket_db_getAll($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getAll($sql, $params);
}

function pocket_db_getAllLimit($sql, $from, $count, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getAllLimit($sql, $from, $count, $params);
}

function pocket_db_getAllPage($sql, $page, $count, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getAllPage($sql, $page, $count, $params);
}

function pocket_db_getRandomFunction()
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->getRandomFunction();
}

function pocket_db_insertId()
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->insertId();
}

function pocket_db_affectedRows()
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->affectedRows();
}

function pocket_db_query($sql, $params = array())
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->query($sql, $params);
}

function pocket_db_insert($table, $fields, $seq_name = '')
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->insert($table, $fields, $seq_name);
}

function pocket_db_update($table, $fields, $where)
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->update($table, $fields, $where);
}

function pocket_db_delete($table, $key, $value)
{
    $pdb =& Pocket_DB::getInstance();
    return $pdb->delete($table, $key, $value);
}

function pocket_db_getNow()
{
    return date('Y-m-d H:i:s');
}

function poket_db_replaceLikeWord($word)
{
    $word = str_replace("_", "\_", $word);
    $word = str_replace("%", "\%", $word);
    return $word;
}

function pocket_db_isMySQL()
{
    $pdb =& Pocket_DB::getInstance();
    $dsn = $pdb->getDSN();
    if ($dsn['phptype'] == 'mysql')
    {
        return true;
    }
    return false;
}

?>
